/***************************************************************
 * global.h
 *
 * Copyright (c) 2007-2008, Hideki Kato & Fixstars Corp. All rights reserved.
 *
 * This program is free software. You may copy, distribute, and modify it
 * under the terms of the License contained in the file COPYING distributed
 * with this package.  This license is the same as the MIT/X Consortium
 * license.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef _GLOBAL_H
#define _GLOBAL_H
#include "config.h"
#include "types.h"

/****************************************
 *	Common global variables		*
 ****************************************/
/* Game management variables */
extern int		gg_board_size;
extern float		gg_komi;
extern float		gg_fpu_initial;
extern float		gg_mod_fpu;
extern float		gg_resign_threshold;
extern float		gg_ucb_factor;
extern int		gg_n_internal;
extern float		gg_k_rave;
extern uint32_t		gg_n_playout;
extern ggRandomSeed	gg_random_seed;
extern ggScoring	gg_scoring;
extern bool		gg_in_joseki;
#if USE_OFFSET
extern float		gg_offset;
#endif
extern uint16_t		gg_main_time;
extern uint8_t		gg_byoyomi_time;	/* not used */
extern uint8_t		gg_byoyomi_stones;	/* not used */

/* Command line options */
extern int		gg_allow_suicide;	/* not used in mc() */
extern int		gg_resign_allowed;	/* not used */
extern int		gg_capture_all_dead;	/* not used */
extern int		gg_never_resign;
extern int		gg_never_pass;
extern int		gg_use_joseki;
extern int		gg_eager_update;
extern int		gg_min_visits;		/* Zero means every visits */
extern uint32_t		gg_generation;
#if USE_LADDER_MODE
extern int		gg_use_ladder_mode;
#endif
extern int		gg_use_lan;
extern int		gg_fixed_window;
extern float		gg_log_window;
extern ggTime		gg_time_per_move;
#if USE_EX_DELAY
extern int		gg_n_delay;
#endif

#endif /* _GLOBAL_H */
