/***************************************************************
 * play.h
 *
 * Copyright (c) 2007-2008, Hideki Kato & Fixstars Corp. All rights reserved.
 *
 * This program is free software. You may copy, distribute, and modify it
 * under the terms of the License contained in the file COPYING distributed
 * with this package.  This license is the same as the MIT/X Consortium
 * license.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef _PLAY_H_
#define _PLAY_H_

#include "types.h"
#include "mc.h"

extern void	gg_init_stack(void);
extern void	gg_do_play_move(ggMove move, ggColor color);
extern bool	gg_undo_move(int n);
extern int	gg_count_final_score(ggColor color, int *n_dame0);
extern ggPosition *	gg_push_position(void);
extern void	gg_backto_position(ggPosition *sp);
extern void	gg_back_and_reset_position(ggPosition *sp);
extern void	gg_setup_position(mcPosition *position, ggPosition *sp,
				    ggColor color);

#endif /* _PLAY_H_ */
